System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.ICustomTypeDescriptor System.ComponentModel.IDataErrorInfo System.ComponentModel.IEditableObject System.ComponentModel.INotifyPropertyChanged

Whenever data is displayed, such as in a control, only one version of each row can be displayed. The displayed row is a .

A can have one of four different version states: Default, Original, Current, and Proposed.

After invoking on a , any edited value becomes the Proposed value. Until either or is invoked, the row has an Original and a Proposed version. If is invoked, the proposed version is discarded, and the value reverts to Original. If is invoked, the no longer has a Proposed version; instead, the proposed value becomes the current value. Default values are available only on rows that have columns with default values defined.

Represents a customized view of a .

- Method
  System.Void

  Use to add a .

  The method is identical to the method of the . After calling , any changes made to the can be rolled back by calling . Call the method before allowing users to change row values. After values have been changed, you retrieve the new values by setting the to DataRowVersion.Proposed. Check the values with a business rule, and roll back the changes if needed by calling , or call to accept the changes.

  Begins an edit procedure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  After calling , all changes to the row are rolled back. You can also roll back changes by calling on the parent .

  Cancels an edit procedure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.DataView `` To be added

  Returns a for the child with the specified child .

  a for the child .

  The object. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataView `` To be added

  Returns a for the child with the specified child name.

  a for the child .

  A string containing the name. 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataView To be added: an object of type 'DataView' To be added

  Gets the to which this row belongs.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The row is not permanently deleted until is invoked on the that the row belongs to.

  A may be invalid when a DataRow is deleted from the underlying table. When the becomes invalid, operations that access values associated with such as , throw an exception.

  Deletes a row.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Commits changes to the underlying and ends the editing session that was begun with . Use to discard the changes made to the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the current is identical to the specified object.

  true if is a and it returns the same row as the current ; otherwise false.

  An to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code of the object.

  A 32-bit signed integer hash code 1, which represents Boolean true if the value of this instance is nonzero; otherwise the integer zero, which represents Boolean false.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Indicates whether the row is in edit mode.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  After you call you call , will be true for the returned . will be true until either is called on the , or is called again. (There is only one new row.)

  Indicates whether a is new.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object `` To be added. To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added. To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.ComponentModel.PropertyChangedEventHandler

  This event fires when the column value associated with the changes. This change does not cause the associated index position of the to be changed.

  Event that is raised when a property is changed.

- Property
  System.Data.DataRow To be added: an object of type 'DataRow' To be added

  Gets the being viewed.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataRowVersion To be added: an object of type 'DataRowVersion'

  The property specifies both and settings. For more information, see , , and .

  Gets the current version description of the .

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.AttributeCollection

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns a collection of custom attributes for this instance of a component.

  An AttributeCollection containing the attributes for this object.

- Method
  1.0.5000.0
  2.0.0.0
  System.String

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the class name of this instance of a component.

  The class name of this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.String

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the name of this instance of a component.

  The name of this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.TypeConverter

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns a type converter for this instance of a component.

  The type converter for this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EventDescriptor

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the default event for this instance of a component.

  The default event for this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptor

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the default property for this instance of a component.

  The default property for this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns an editor of the specified type for this instance of a component.

  An of the specified type that is the editor for this object, or null if the editor cannot be found.

  A that represents the editor for this object.
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EventDescriptorCollection

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the events for this instance of a component.

  The events for this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EventDescriptorCollection ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the events for this instance of a component with specified attributes.

  The events for this instance of a component.

  The attributes
- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the properties for this instance of a component.

  The properties for this instance of a component.

- Method
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns the properties for this instance of a component with specified attributes.

  The properties for this instance of a component.

  The attributes.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns an object that contains the property described by the specified property descriptor.

  An that represents the owner of the specified property.

  A that represents the property whose owner is to be found.
- Property
  1.0.5000.0
  2.0.0.0
  System.String To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a message that describes any validation errors for the object.

- Property
  1.0.5000.0
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.